Subject: Re: bug#18990: 25.0.50; Scroll bar display problems

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Nov 2014 09:54:46 +0200

> From: Stephen Berman <[email-masked]>
> Date: Sat, 08 Nov 2014 00:00:20 +0100
> 
> Starting Emacs like this:
> 
> emacs -Q --eval "(progn (modify-all-frames-parameters '((scroll-bar-width . 7))) (custom-set-variables '(scroll-bar-mode (quote left))))"
> 
> the scroll bar is correctly display on the left, but its width is the
> default, not the customized value, and it overlays the left fringe,
> which is hence hidden.
> 
> If another X window is moved over the Emacs frame (at least the left
> side including the scroll bar), the left fringe becomes visible (only
> partly if the other X window is not moved across the whole height of the
> fringe) and the scroll bar width is correspondingly narrower (I didn't
> measure but it looks like the width specified above); see the attached
> screen shot, which also shows the incorrect scroll bar width and hidden
> left fringe in the top Emacs frame.  As soon as the lower Emacs frame
> regains focus, the scroll bar returns to full width and overlays the
> left fringe again.
> 
> Another display glitch conditioned by the above settings is that typing
> until point or eol enters the right fringe causes the left fringe in
> just the current line to become visible (and the scroll bar
> correspondingly narrowed/truncated in that line); I have not succeeded
> in getting a screen shot of this glitch.
> 
> These display problems do not happen when the scroll bar is either on
> the right or has its default width.  They also don't happen with the
> non-toolkit-scroll-bar build.  They do happen with 24.3, the earliest
> version I currently have (I don't have a non-toolkit-scroll-bar build of
> 24.4 at hand but I guess it also has the problems).  (I haven't noticed
> these problems before, since I've been using non-toolkit-scroll-bar
> builds for a long time, and only since the 24.4 release have switched to
> the toolkit scroll bar on the trunk to be able to test the horizontal
> scroll bar.)

Sounds like a GTK thing to me.  Does this happen if you use a
different toolkit, like lucid or athena?